# get-next-line(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

get-next-line - Find the next command line

## SYNOPSIS

get-next-line (C-x `)

## DESCRIPTION

get-next-line is typically used in conjunction with the compile(3) and grep(3) commands to enable the user to step through errors/locations one by one. The command looks for lines in the form defined by add-next-line(2) in the order of definition. If a match is found the command attempts to find the next error or warning found from the current location (See compile(3)). If the buffer was not found then the next buffer set is searched for, and if found then the next expression from the cursor is automatically located. The command fails if none of the buffers exist, or the end of the buffer is reached.

## SEE ALSO

$file-template(5), $line-template(5). add-next-line(2), compile(3), grep(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>